Update Tacacs on Domain

Prev Next

This URL updates the tacacs configuration.

Resource URL

PUT domain/<domain_id>/remoteaccess/tacacs

Request Parameters

URL Request Parameters:

Field Name Description Data Type Mandatory
domain_id Domain id Number Yes

Payload Parameter:

Field Name Description Data Type Mandatory
enableTACACS Enable Tacacs Boolean Yes
tacacsServerIP1 Tacacs server IP 1 String No
tacacsServerIP2 Tacacs server IP 2 String No
tacacsServerIP3 Tacacs server IP 3 String No
tacacsServerIP4 Tacacs server IP 4 String No
enableEncryption Enable encryption Boolean Yes
encryptionKey Encryption key String No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful Number

Example

Request

PUT https://<NSM_IP>/sdkapi/domain/0/remoteaccess/tacacs

 {
                    "enableTACACS":true,
"tacacsServerIP1":"1.1.1.1",
"tacacsServerIP2":"1.1.1.2",
"tacacsServerIP3":"1.1.1.3",
"tacacsServerIP4":"1.1.1.4",
"enableEncryption":true,
"encryptionKey":"abc"
           } 

Response

 {
       "status":1
   } 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error
2 404 1105 Invalid domain id
3 400 4713 Invalid IP address